## CORBA Interface IResultPackage

A package of outputs such as HTML pages, datasets and external files.

### Definition

CORBA Module SAS

### IResultPackage Description

This component enables you to view, update, and add entries to a result package, as well as publish the result package.

A result package is a container for digital content that is generated or collected for delivery to a consumer. Result packages can contain many different types of content, such as HTML files, data sets, images, and Microsoft Word documents. The result package also contains meta-information such as a description, abstract and user-specified name/value pairs.

Besides merely collecting the information, the SAS System has flexible means for communicating the package to other users and applications via transports such as e-mail, disk filesystems and message-oriented middleware. At the highest level, the SAS Publishing Framework provides a network-wide infrastructure for publish/subscribe operations using result packages. See the Publishing Framework chapters of the SAS Integration Technologies: Administrator's Guide and the SAS Integration Technologies: Developer's Guide for more information.

The component can be used in one of two modes, which are distinguished by the BrowseOnly attribute.

It can be used to browse a result package which is under the control of a transport. For example, calling the BrowseResultPackage operation of the ResultPackageService to examine a package stored in an archive file on disk (the "TO_ARCHIVE" transport) returns a result package that is in read only mode. Packages owned by the transport do not support most forms of modification. Adding a viewer with ExpandViewer is the only case where modification is allowed.

The second mode of operation is package construction. The CreateResultPackage operation of the ResultPackageService creates an empty package to which you can add or copy entries. You will typically want to Publish the package when you are finished constructing it.

CORBA Definitions
attribute Container | The parent of this component.
method Close | Close this result package component.
attribute CreationDateTime | Result package creation datetime.
attribute ExpirationDateTime | The date and time at which the result package is scheduled to expire.
attribute Description | Result package description.
attribute Abstract | Result package abstract text.
attribute NameValues | Result package name/value pairs.
attribute BrowseOnly | True when result package may be browsed only (no updates).
attribute EntryCount | Number of entries in this result package.
attribute Transport | Identifies the transport from which this result package was loaded.
attribute TransportInformation | The name that is used by the transport to identify this result package.
method GetProperties | Returns result package properties that are needed by the transport.
method GetNameValuePairs | User or application control information for the package.
method ListEntries | List the entries contained in this result package.
method GetEntry | Navigate to one of the package's entries.
method AddEntry | Adds a new entry which is a copy of another entry.
method AddFileEntry | Creates a new file entry within the result package.
method AddHTMLEntry | Creates a new ODS HTML set entry within the result package.
method AddLibraryMemberEntry | Creates a new SAS library member entry within the result package.
method AddReferenceEntry | Creates a new reference entry within the result package.
method AddViewerEntry | Return a new result package viewer entry.
method ExpandViewer | Adds a viewer entry to the loaded package using a template from an external file.
method GetDependency | Return the component for a package entry that is expanded by the package's viewer.
method Publish | Publish the result package.
method PublishReturningPackage | Publish the result package returning a component that represents the published result package.

Java Classes
IResultPackageHelper | Used to manipulate the IResultPackage type
IResultPackageHolder | Used to process the IResultPackage type as an out parameter

Java Interfaces
IResultPackage | A package of outputs such as HTML pages, datasets and external files.

### IResultPackage_1_1 Description

CORBA Definitions
attribute Container | The parent of this component.
method Close | Close this result package component.
attribute CreationDateTime | Result package creation datetime.
attribute ExpirationDateTime | The date and time at which the result package is scheduled to expire.
attribute Description | Result package description.
attribute Abstract | Result package abstract text.
attribute NameValues | Result package name/value pairs.
attribute BrowseOnly | True when result package may be browsed only (no updates).
attribute EntryCount | Number of entries in this result package.
attribute Transport | Identifies the transport from which this result package was loaded.
attribute TransportInformation | The name that is used by the transport to identify this result package.
method GetProperties | Returns result package properties that are needed by the transport.
method GetNameValuePairs | User or application control information for the package.
method ListEntries | List the entries contained in this result package.
method GetEntry | Navigate to one of the package's entries.
method AddEntry | Adds a new entry which is a copy of another entry.
method AddFileEntry | Creates a new file entry within the result package.
method AddHTMLEntry | Creates a new ODS HTML set entry within the result package.
method AddLibraryMemberEntry | Creates a new SAS library member entry within the result package.
method AddReferenceEntry | Creates a new reference entry within the result package.
method AddViewerEntry | Return a new result package viewer entry.
method ExpandViewer | Adds a viewer entry to the loaded package using a template from an external file.
method GetDependency | Return the component for a package entry that is expanded by the package's viewer.
method Publish | Publish the result package.
method PublishReturningPackage | Publish the result package returning a component that represents the published result package.
method AddEntry_2 | Adds a new entry which is a copy of another entry.
method AddFileEntry_2 | Creates a new file entry within the result package.
method AddHTMLEntry_2 | Creates a new ODS HTML set entry within the result package.

Java Classes
IResultPackage_1_1Helper | Used to manipulate the IResultPackage_1_1 type
IResultPackage_1_1Holder | Used to process the IResultPackage_1_1 type as an out parameter

Java Interfaces
IResultPackage_1_1 | A package of outputs such as HTML pages, datasets and external files.

### IResultPackage_1_2 Description

CORBA Definitions
attribute Container | The parent of this component.
method Close | Close this result package component.
attribute CreationDateTime | Result package creation datetime.
attribute ExpirationDateTime | The date and time at which the result package is scheduled to expire.
attribute Description | Result package description.
attribute Abstract | Result package abstract text.
attribute NameValues | Result package name/value pairs.
attribute BrowseOnly | True when result package may be browsed only (no updates).
attribute EntryCount | Number of entries in this result package.
attribute Transport | Identifies the transport from which this result package was loaded.
attribute TransportInformation | The name that is used by the transport to identify this result package.
method GetProperties | Returns result package properties that are needed by the transport.
method GetNameValuePairs | User or application control information for the package.
method ListEntries | List the entries contained in this result package.
method GetEntry | Navigate to one of the package's entries.
method AddEntry | Adds a new entry which is a copy of another entry.
method AddFileEntry | Creates a new file entry within the result package.
method AddHTMLEntry | Creates a new ODS HTML set entry within the result package.
method AddLibraryMemberEntry | Creates a new SAS library member entry within the result package.
method AddReferenceEntry | Creates a new reference entry within the result package.
method AddViewerEntry | Return a new result package viewer entry.
method ExpandViewer | Adds a viewer entry to the loaded package using a template from an external file.
method GetDependency | Return the component for a package entry that is expanded by the package's viewer.
method Publish | Publish the result package.
method PublishReturningPackage | Publish the result package returning a component that represents the published result package.
method AddEntry_2 | Adds a new entry which is a copy of another entry.
method AddFileEntry_2 | Creates a new file entry within the result package.
method AddHTMLEntry_2 | Creates a new ODS HTML set entry within the result package.
attribute PackageExists |

Java Classes
IResultPackage_1_2Helper | Used to manipulate the IResultPackage_1_2 type
IResultPackage_1_2Holder | Used to process the IResultPackage_1_2 type as an out parameter

Java Interfaces
IResultPackage_1_2 | A package of outputs such as HTML pages, datasets and external files.

Java Interface IResultPackage

A package of outputs such as HTML pages, datasets and external files.

Package com.sas.iom.SAS

IResultPackage Description
This component enables you to view, update, and add entries to a result package, as well as publish the result package.

A result package is a container for digital content that is generated or collected for delivery to a consumer. Result packages can contain many different types of content, such as HTML files, data sets, images, and Microsoft Word documents. The result package also contains meta-information such as a description, abstract and user-specified name/value pairs.

Besides merely collecting the information, the SAS System has flexible means for communicating the package to other users and applications via transports such as e-mail, disk filesystems and message-oriented middleware. At the highest level, the SAS Publishing Framework provides a network-wide infrastructure for publish/subscribe operations using result packages. See the Publishing Framework chapters of the SAS Integration Technologies: Administrator's Guide and the SAS Integration Technologies: Developer's Guide for more information.

The component can be used in one of two modes, which are distinguished by the BrowseOnly attribute.

It can be used to browse a result package which is under the control of a transport. For example, calling the BrowseResultPackage operation of the ResultPackageService to examine a package stored in an archive file on disk (the "TO_ARCHIVE" transport) returns a result package that is in read only mode. Packages owned by the transport do not support most forms of modification. Adding a viewer with ExpandViewer is the only case where modification is allowed.

The second mode of operation is package construction. The CreateResultPackage operation of the ResultPackageService creates an empty package to which you can add or copy entries. You will typically want to Publish the package when you are finished constructing it.

`public interface IResultPackage
extends org.omg.CORBA.Object`

Method Summary

void | Close () Close this result package component.
void | GetProperties ( VariableArray2dOfStringHolder properties ) throws ( GenericError ); Returns result package properties that are needed by the transport.
void | GetNameValuePairs ( VariableArray2dOfStringHolder nvPairs ) throws ( GenericError ); User or application control information for the package.
void | ListEntries ( java.lang.String filter , PackageTypeSeqHolder entryType , StringSeqHolder description , IntSeqHolder index ) throws ( GenericError ); List the entries contained in this result package.
Object | GetEntry ( int index ) throws ( GenericError ); Navigate to one of the package's entries.
Object | AddEntry ( Object entryHandle ) throws ( GenericError ); Adds a new entry which is a copy of another entry.
IResultPackageFileEntry | AddFileEntry ( java.lang.String description , java.lang.String nameValues , FileSpecType fileNameType , java.lang.String filename , boolean isText , java.lang.String MIMEType ) throws ( GenericError ); Creates a new file entry within the result package.
IResultPackageHTMLEntry | AddHTMLEntry ( java.lang.String description , java.lang.String nameValues , FileSpecType bodyNameType , java.lang.String bodyName , java.lang.String bodyURL , FileSpecType frameNameType , java.lang.String frameName , java.lang.String frameURL , FileSpecType contentsNameType , java.lang.String contentsName , java.lang.String contentsURL , FileSpecType pageNameType , java.lang.String pageName , java.lang.String pageURL , java.lang.String encoding ) throws ( GenericError ); Creates a new ODS HTML set entry within the result package.
IResultPackageLibraryMemberEntry | AddLibraryMemberEntry ( java.lang.String description , java.lang.String nameValues , java.lang.String[][] properties , java.lang.String memberType , java.lang.String libname , java.lang.String member ) throws ( GenericError ); Creates a new SAS library member entry within the result package.
IResultPackageReferenceEntry | AddReferenceEntry ( java.lang.String description , java.lang.String nameValues , java.lang.String referenceType , java.lang.String reference ) throws ( GenericError ); Creates a new reference entry within the result package.
IResultPackageViewerEntry | AddViewerEntry ( java.lang.String description , java.lang.String nameValues , java.lang.String[][] properties , FileSpecType fileNameType , java.lang.String filename , boolean isText , java.lang.String MIMEType , java.lang.String encoding ) throws ( GenericError ); Return a new result package viewer entry.
IResultPackageViewerEntry | ExpandViewer ( java.lang.String description , java.lang.String nameValues , java.lang.String[][] properties , FileSpecType fileNameType , java.lang.String filename , boolean isText , java.lang.String MIMEType , java.lang.String encoding ) throws ( GenericError ); Adds a viewer entry to the loaded package using a template from an external file.
Object | GetDependency ( java.lang.String viewerDependency ) throws ( GenericError ); Return the component for a package entry that is expanded by the package's viewer.
void | Publish ( java.lang.String transport , java.lang.String[][] properties , java.lang.String[] destinations ) throws ( GenericError ); Publish the result package.
IResultPackage | PublishReturningPackage ( java.lang.String transport , java.lang.String[][] properties , java.lang.String[] destination ) throws ( GenericError ); Publish the result package returning a component that represents the published result package.

Java Class IResultPackageHelper

public class IResultPackageHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IResultPackage type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageHelper

Java Class IResultPackageHolder

public class IResultPackageHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IResultPackage type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageHolder

CORBA Attribute Container (readonly)

The parent of this component.

Description
Use this attribute to navigate back to the parent of this result package. For most result packages, this will be the ResultPackageService. For nested result packages it will be the containing ResultPackage.

Usage

Java Method Container

    public Object Container ();

CORBA Method Close

Close this result package component.

Description
Call this method to close the ResultPackage component. When this ResultPackage component is closed, all of its children (such as result package entries and streams opened against them) are closed as well.

Usage

Java Method Close

`void` Close ( )

Example

CORBA Attribute CreationDateTime (readonly)

Result package creation datetime.

Description
This attribute indicates the result package creation date and time. The creation datetime is assigned when the result package is published. The value is in UTC (not local) time.

Usage

Java Method CreationDateTime

    public DateTime CreationDateTime ();

CORBA Attribute ExpirationDateTime (readonly)

The date and time at which the result package is scheduled to expire.

Description
This attribute indicates the date and time on which the result package is scheduled to expire. The expiration datetime is assigned when the result package is created. The value should be stored and interpreted in UTC (not local) time.

Usage

Java Method ExpirationDateTime

    public DateTime ExpirationDateTime ();

CORBA Attribute Description (readonly)

Result package description.

Description
Use this attribute to obtain the result package's description. This description is typically a single line summary of the package contents. It is assigned by the package's creator.

Usage

Java Method Description

    public java.lang.String Description ();

CORBA Attribute Abstract (readonly)

Result package abstract text.

Description
Use this attribute to obtain the abstract text for this result package. Analogous to the abstract of a technical paper, the result package abstract is typically a paragraph length overview of the contents of the package. It is also assigned by the package's creator.

Usage

Java Method Abstract

    public java.lang.String Abstract ();

CORBA Attribute NameValues (readonly)

Result package name/value pairs.

Description
Use this attribute to obtain the name/value pairs that are associated with this result package. The creator of the package often assigns these to support subsequent package retrieval in search operations, but they could be used for other purposes as well.

This property returns the name/value pairs in the form of a single string such as "author=ASmith confidential depts=(sales,marketing)".

Usage
If you prefer to get these in a parsed form, use GetNameValuePairs.

Java Method NameValues

    public java.lang.String NameValues ();

CORBA Attribute BrowseOnly (readonly)

True when result package may be browsed only (no updates).

Description
Use this attribute to determine if this result package is read only.

When you call the BrowseResultPackage operation of the ResultPackageService, you obtain a ResultPackage that is owned by the specified transport. Packages that are owned by a transport can be browsed but not changed (see ExpandViewer for the sole exception to this rule).

When you call the CreateResultPackage operation of the ResultPackageService, you obtain an empty package to which you will add or copy entries. Packages of this type, which are under construction for subsequent publication, will have the BrowseOnly attribute set to false.

Usage

Java Method BrowseOnly

    public boolean BrowseOnly ();

CORBA Attribute EntryCount (readonly)

Number of entries in this result package.

Description
Use this attribute to obtain the number of entries in this result package.

Usage

Java Method EntryCount

    public int EntryCount ();

CORBA Attribute Transport (readonly)

Identifies the transport from which this result package was loaded.

Description
Use this attribute to obtain the name of the transport which manages this result package (see BrowseResultPackage and DeleteResultPackage). The property value will be an empty (zero length) string if the package is under construction (see BrowseOnly).

Usage

Java Method Transport

    public java.lang.String Transport ();

CORBA Attribute TransportInformation (readonly)

The name that is used by the transport to identify this result package.

Description
Use this attribute to obtain the information (that is, some form of name) which identifies the result package to a transport (see BrowseResultPackage and DeleteResultPackage). This will be empty for packages that are being constructed (see BrowseOnly).

Usage

Java Method TransportInformation

    public java.lang.String TransportInformation ();

CORBA Method GetProperties

Returns result package properties that are needed by the transport.

Description
Call this method to return a two-dimensional string array that contains additional control properties that are needed by the transport to identify or manage the package.

Usage
This is operation is not useful for packages that are under construction.

Java Method GetProperties

`void` GetProperties (

        VariableArray2dOfStringHolder properties
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
properties | out | VariableArray2dOfStringHolder | This output parameter is a two-dimensional array of transport-specific strings. These strings provide additional information that the transport needs to access or manage this result package. Column 0 represents the transport property names. Column 1 contains the corresponding values. See BrowseResultPackage for more details about possible properties and their values. An empty array is returned for packages that are still under construction (see BrowseOnly).

Example

CORBA Method GetNameValuePairs

User or application control information for the package.

Description
Call this method to return a two-dimensional string array containing the parsed name/value pairs. These name/value pairs provide user or application control information describing the package.

Usage
These are often used in keyword search operations against a large group of packages that comprises an organizational knowledge base.

Java Method GetNameValuePairs

`void` GetNameValuePairs (

        VariableArray2dOfStringHolder nvPairs
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
nvPairs | out | VariableArray2dOfStringHolder | This output parameter returns the two-dimensional string array of name/value pairs. For the name/value pair string: "author=ASmith confidential depts=(sales,marketing)" this array would contain:
                     Column 0        Column 1
            Row 0    "author"        "ASmith"
            Row 1    "confidential"  ""
            Row 2    "depts"         "sales"
            Row 3                    "marketing"
Thus, names without values have an empty string in column 1. Names with multiple values have all values after the first indicated by empty strings in column 0.

Example

CORBA Method ListEntries

List the entries contained in this result package.

Description
Call this operation to obtain the type and description for each result package entry. If no ListEntries::filter is specified, then the returned list will contain information for all result package entries.

Usage

Java Method ListEntries

`void` ListEntries (

        java.lang.String filter ,
        PackageTypeSeqHolder entryType ,
        StringSeqHolder description ,
        IntSeqHolder index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
filter | in | java.lang.String | This input parameter is a filtering expression which selects a subset of the package's entries. Supply an empty string if you want to retrieve the full set of entries. See the Publish Package Interface CALL Routines in the Publishing Framework section of the SAS Integration Technologies: Developer's Guide for details on the filtering expression syntax.
entryType | out | PackageTypeSeqHolder | Contains the PackageType constant that identifies the entry type.
description | out | StringSeqHolder | Contains the description associated with the entry.
index | out | IntSeqHolder | Entry index to use when retrieving an entry via GetEntry. If no filter is provided the index will be the same as the returned array index. The indices can be different if a filter is specified.

Example

CORBA Method GetEntry

Navigate to one of the package's entries.

Description
This operation obtains a particular result package entry as indicated by the GetEntry::index parameter.

Usage

Java Method GetEntry

`Object` GetEntry (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int | The zero-based index of the desired result package entry.

Example

CORBA Method AddEntry

Adds a new entry which is a copy of another entry.

Description
Call this operation to add a new entry which is a copy of some existing entry. The existing entry can be from the same result package or from a different one, as long as the package is being accessed within the same Workspace.

You cannot use this operation to add a ResultPackageViewerEntry. Use AddViewerEntry instead.

Only result packages which are under construction support the addition of new entries. If the containing ResultPackage is read only (see BrowseOnly), then this call will fail.

Usage

Java Method AddEntry

`Object` AddEntry (

        Object entryHandle
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
entryHandle | in | Object | The existing entry that will be copied. Only entries of packages being accessed via this Workspace can be copied.

Example

CORBA Method AddFileEntry

Creates a new file entry within the result package.

Description
Call this operation to add a new file entry to this result package. A file entry copies the contents of an external file along with related descriptive information such as the file's name and its MIME type. The new ResultPackageFileEntry is returned from a successful call.

Usage

Java Method AddFileEntry

`public IResultPackageFileEntry` AddFileEntry (

        java.lang.String description ,
        java.lang.String nameValues ,
        FileSpecType fileNameType ,
        java.lang.String filename ,
        boolean isText ,
        java.lang.String MIMEType
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
description | in | java.lang.String | A description that you are assigning to the new entry.
nameValues | in | java.lang.String | This parameter is a string of name/value pairs to be saved with the new entry. These name/value pairs provide user or application control information describing the entry. The syntax allows for names (keywords) to be provided without values, with a single value or with multiple values. Here is an example name/value pair string:
       "region=east projection productIDs=(gz320, gz340)"
fileNameType | in | FileSpecType | A FileSpecType value that indicates whether the AddFileEntry::filename specifies a physical file name or a SAS fileref.
filename | in | java.lang.String | The name of the file whose contents are being copied to create the new result package entry.
isText | in | boolean | Indicates whether the file is text (true) or binary (false).
MIMEType | in | java.lang.String | Assigns the MIME type to associate with this file entry.

Example

CORBA Method AddHTMLEntry

Creates a new ODS HTML set entry within the result package.

Description
Call this operation to add a new ODS HTML set entry to this result package. This entry includes each of the HTML entities (body, frame, contents and page) that are created by ODS. The new ResultPackageHTMLEntry is returned from a successful call.

Usage

Java Method AddHTMLEntry

`public IResultPackageHTMLEntry` AddHTMLEntry (

        java.lang.String description ,
        java.lang.String nameValues ,
        FileSpecType bodyNameType ,
        java.lang.String bodyName ,
        java.lang.String bodyURL ,
        FileSpecType frameNameType ,
        java.lang.String frameName ,
        java.lang.String frameURL ,
        FileSpecType contentsNameType ,
        java.lang.String contentsName ,
        java.lang.String contentsURL ,
        FileSpecType pageNameType ,
        java.lang.String pageName ,
        java.lang.String pageURL ,
        java.lang.String encoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
description | in | java.lang.String | A description that you are assigning to the new entry.
nameValues | in | java.lang.String | This parameter is a string of name/value pairs to be saved along with the new entry. These name/value pairs provide user or application control information describing the entry. The syntax allows for names (keywords) to be provided without values, with a single value or with multiple values. Here is an example name/value pair string:
       "region=east projection productIDs=(gz320, gz340)"
bodyNameType | in | FileSpecType | A FileSpecType value that indicates whether the AddHTMLEntry::bodyName specifies a physical file name or a SAS fileref.
bodyName | in | java.lang.String | Use this parameter to name the HTML file or files whose contents are being copied as a body item of the new HTML set entry. When ODS produces multiple body files with sequential numbering, you can incorporate all of those files by adding an asterisk to the end of the base name. See the Publish Package Interface CALL Routines in the Publishing Framework section of the SAS Integration Technologies: Developer's Guide for details about how to specify multiple body files.
bodyURL | in | java.lang.String | The URL (or URLs) to associate with the body of the HTML set. When you use an asterisk to specify multiple body files, you should also use an asterisk to specify their URLs.
frameNameType | in | FileSpecType | A FileSpecType value that indicates whether the AddHTMLEntry::frameName specifies a physical file name or a SAS fileref.
frameName | in | java.lang.String | The name of the HTML file whose contents are being copied as the frame of the new result package entry.
frameURL | in | java.lang.String | The URL to associate with the frame of the HTML set.
contentsNameType | in | FileSpecType | A FileSpecType value that indicates whether the AddHTMLEntry::contentsName specifies a physical file name or a SAS fileref.
contentsName | in | java.lang.String | The name of the HTML file whose contents are being copied as the table of contents of the new result package entry.
contentsURL | in | java.lang.String | The URL to associated with the contents stream.
pageNameType | in | FileSpecType | A FileSpecType value that indicates whether the AddHTMLEntry::pageName specifies a physical file name or a SAS fileref.
pageName | in | java.lang.String | The name of the HTML file whose contents are being copied as the table of pages section for the new result package entry.
pageURL | in | java.lang.String | The URL to associate with the pages section of the HTML set.
encoding | in | java.lang.String | Identifies the encoding of the stored HTML.

Example

CORBA Method AddLibraryMemberEntry

Creates a new SAS library member entry within the result package.

Description
Call this operation to add a new SAS library member entry to this result package. This entry can hold any of the following member types: DATASET, CATALOG, MDDB, FDB, DMDB or VIEW (PROC SQL views). Like other result package entries, it also holds descriptive information such as name/value pairs, the libref, the member name and the member type. The new ResultPackageLibraryMemberEntry is returned from a successful call.

Usage

Java Method AddLibraryMemberEntry

`public IResultPackageLibraryMemberEntry` AddLibraryMemberEntry (

        java.lang.String description ,
        java.lang.String nameValues ,
        java.lang.String[][] properties ,
        java.lang.String memberType ,
        java.lang.String libname ,
        java.lang.String member
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
description | in | java.lang.String | A description that you are assigning to the new entry.
nameValues | in | java.lang.String | This parameter is a string of name/value pairs to be saved along with the new entry. These name/value pairs provide user or application control information describing the entry. The syntax allows for names (keywords) to be provided without values, with a single value or with multiple values. Here is an example name/value pair string:
       "region=east projection productIDs=(gz320, gz340)"
properties | in | java.lang.String[][] | A two-dimensional array that contains properties and their values. These properties control options in the publishing process, such as whether to use the Comma Separated Value (CSV) format when publishing a dataset. Column 0 represents the property names. Column 1 contains the corresponding values. See the Publish Package Interface CALL Routines in the Publishing Framework section of the SAS Integration Technologies: Developer's Guide for more details about the properties and their values.
memberType | in | java.lang.String | One of "CATALOG", "DATA", "DMDB", "FDB", "MDDB", or "VIEW". Identifies the type of the library member.
libname | in | java.lang.String | The libref from which the member is copied when the new entry is added.
member | in | java.lang.String | The name of the member that is copied to create the new entry.

Example

CORBA Method AddReferenceEntry

Creates a new reference entry within the result package.

Description
Call this operation to add a new reference entry to this result package. A reference entry simply identifies (references) some data or file (such as a web page) that is external to the package. The new entry contains a type string (such as "URL") and an identifier string (such as "http://jsmith.pc.alpair.com/odsftpf.htm"). The new ResultPackageReferenceEntry is returned from a successful call.

Usage

Java Method AddReferenceEntry

`public IResultPackageReferenceEntry` AddReferenceEntry (

        java.lang.String description ,
        java.lang.String nameValues ,
        java.lang.String referenceType ,
        java.lang.String reference
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
description | in | java.lang.String | A description that you are assigning to the new entry.
nameValues | in | java.lang.String | This parameter is a string of name/value pairs to be saved along with the new entry. These name/value pairs provide user or application control information describing the entry. The syntax allows for names (keywords) to be provided without values, with a single value or with multiple values. Here is an example name/value pair string:
       "region=east projection productIDs=(gz320, gz340)"
referenceType | in | java.lang.String | A string describing the type of reference - currently either "HTML" or "URL".
reference | in | java.lang.String | A string (such as "http://jsmith.pc.alpair.com/odsftpf.htm") identifying the referenced file or data.

Example

CORBA Method AddViewerEntry

Return a new result package viewer entry.

Description
Call this method to add a viewer entry to this result package. A viewer is a template that can be used to expand the other members of the package into a human-readable form (only HTML presently supported). The new ResultPackageViewerEntry is returned from a successful call.

Usage

Java Method AddViewerEntry

`public IResultPackageViewerEntry` AddViewerEntry (

        java.lang.String description ,
        java.lang.String nameValues ,
        java.lang.String[][] properties ,
        FileSpecType fileNameType ,
        java.lang.String filename ,
        boolean isText ,
        java.lang.String MIMEType ,
        java.lang.String encoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
description | in | java.lang.String | A description that you are assigning to the new entry.
nameValues | in | java.lang.String | This parameter is a string of name/value pairs to be saved along with the new entry. These name/value pairs provide user or application control information describing the entry. The syntax allows for names (keywords) to be provided without values, with a single value or with multiple values. Here is an example name/value pair string:
       "region=east projection productIDs=(gz320, gz340)"
properties | in | java.lang.String[][] | Options to store with the viewer. See the Publish Package Interface CALL Routines in the Publishing Framework section of the SAS Integration Technologies: Developer's Guide for more details.
fileNameType | in | FileSpecType | A FileSpecType value that indicates whether the AddViewerEntry::filename specifies a physical file name or a SAS fileref.
filename | in | java.lang.String | The name of the viewer template file whose contents are being copied into the new result package entry.
isText | in | boolean | A boolean indicating whether the viewer template is text (true) or binary (false).
MIMEType | in | java.lang.String | A MIME type describing the template. At present, only "text/html" is supported.
encoding | in | java.lang.String | Identifies the destination encoding for the viewer template within the new entry.

Example

CORBA Method ExpandViewer

Adds a viewer entry to the loaded package using a template from an external file.

Description
This operation adds a viewer entry to the loaded package using a template found in an external file. It returns a transient ResultPackageViewerEntry component which can then be used to expand the view.

If this result package is read-only, the package as found on the transport (file, message queue, etc.) is not affected. Subsequently publishing this ResultPackage (via Publish) will store the new viewer entry in the package that is published.

Thus, this operation is equivalent to AddViewerEntry except that it is supported for packages that are being browsed.

Usage

Java Method ExpandViewer

`public IResultPackageViewerEntry` ExpandViewer (

        java.lang.String description ,
        java.lang.String nameValues ,
        java.lang.String[][] properties ,
        FileSpecType fileNameType ,
        java.lang.String filename ,
        boolean isText ,
        java.lang.String MIMEType ,
        java.lang.String encoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
description | in | java.lang.String | A description that you are assigning to the new entry.
nameValues | in | java.lang.String | This parameter is a string of name/value pairs to be saved along with the new entry. These name/value pairs provide user or application control information describing the entry. The syntax allows for names (keywords) to be provided without values, with a single value or with multiple values. Here is an example name/value pair string:
       "region=east projection productIDs=(gz320, gz340)"
properties | in | java.lang.String[][] | Options to store with the viewer. See the Publish Package Interface CALL Routines in the Publishing Framework section of the SAS Integration Technologies: Developer's Guide for more details.
fileNameType | in | FileSpecType | A FileSpecType value that indicates whether the ExpandViewer::filename specifies a physical file name or a SAS fileref.
filename | in | java.lang.String | The name of the viewer template file whose contents are being copied into the new result package entry.
isText | in | boolean | A boolean indicating whether the viewer template is text (true) or binary (false).
MIMEType | in | java.lang.String | A MIME type describing the template. At present, only "text/html" is supported.
encoding | in | java.lang.String | Identifies the destination encoding for the viewer template within the new entry.

Example

CORBA Method GetDependency

Return the component for a package entry that is expanded by the package's viewer.

Description
Call this operation to obtain a package entry component for a given dependency. A viewer dependency is an entry within this package that is used by one of the package's viewers.

Usage

Java Method GetDependency

`Object` GetDependency (

        java.lang.String viewerDependency
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
viewerDependency | in | java.lang.String | The dependency name, as returned by GetViewerDependencies, that identifies which entry to return.

Example

CORBA Method Publish

Publish the result package.

Description
Call this method to publish this result package. The result package is published using the specified transport.

Besides publishing packages which you have just constructed, you can also use the operation to publish a package which you are browsing. Doing so copies the package to the transport and location which you specify.

Usage

Java Method Publish

`void` Publish (

        java.lang.String transport ,
        java.lang.String[][] properties ,
        java.lang.String[] destinations
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
transport | in | java.lang.String | The transport in which to publish the result package. Currently supported transports are "TO_WEBDAV", "TO_QUEUE", "TO_EMAIL", "TO_ARCHIVE", and "TO_SUBSCRIBERS". See the Publish Package Interface CALL Routines in the Publishing Framework section of the Integration Technologies Developer's Guide for more details.
properties | in | java.lang.String[][] | Options which tell the transport engine how to publish the result package. See the Publish Package Interface CALL Routines in the Publishing Framework section of the SAS Integration Technologies: Developer's Guide for a description of the properties supported by each transport. For example, to specify the physical file for the "TO_ARCHIVE" transport on a Unix server, pass an input array arranged as follows:
                     Column 0         Column 1
            Row 0    "archive_path"   "/u/user1/data"
            Row 1    "archive_name"   "sales-jan"
This would create an archive file named "/u/user1/data/sales-jan.spk".
destinations | in | java.lang.String[] | A one dimensional string array identifying where to publish the result package. Use this parameter with the "TO_EMAIL" transport to specify the e-mail addresses of recipients or with the "TO_QUEUE" transport to specify one or more message-oriented middleware queues.

Example

CORBA Method PublishReturningPackage

Publish the result package returning a component that represents the published result package.

Description
Call this method to publish this result package. The result package is published using the specified transport just as in Publish.

Additionally, if the destination specified allows for the published result package to be browsed, a ResultPackage component is returned representing the published result package. Not all transports support this functionality.

Besides publishing packages which you have just constructed, you can also use the operation to publish a package which you are browsing. Doing so copies the package to the transport and location which you specify.

Usage

Java Method PublishReturningPackage

`public IResultPackage` PublishReturningPackage (

        java.lang.String transport ,
        java.lang.String[][] properties ,
        java.lang.String[] destination
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
transport | in | java.lang.String | The transport in which to publish the result package. Currently supported transports are; "TO_WEBDAV", "TO_QUEUE", "TO_EMAIL", "TO_ARCHIVE", and "TO_SUBSCRIBERS". See the Publish Package Interface CALL Routines in the Publishing Framework section of the SAS Integration Technologies: Developer's Guide for more details.
properties | in | java.lang.String[][] | Options which tell the transport engine how to publish the result package. See the Publish Package Interface CALL Routines in the Publishing Framework section of the SAS Integration Technologies: Developer's Guide for a description of the properties supported by each transport. For example, to specify the physical file for the "TO_ARCHIVE" transport on a Unix server, pass an input array arranged as follows:
                     Column 0         Column 1
            Row 0    "archive_path"   "/u/user1/data"
            Row 1    "archive_name"   "sales-jan"
This would create an archive file named "/u/user1/data/sales-jan.spk".
destination | in | java.lang.String[] | A one dimensional string array identifying where to publish the result package. Use this parameter with the "TO_EMAIL" transport to specify the e-mail addresses of recipients or with the "TO_QUEUE" transport to specify one or more message-oriented middleware queues.

Example

IResultPackage_1_1 Description

`public interface IResultPackage_1_1
Extends IResultPackage`

Method Summary

Object | AddEntry_2 ( Object entryHandle , java.lang.String[][] properties ) throws ( GenericError ); Adds a new entry which is a copy of another entry.
IResultPackageFileEntry | AddFileEntry_2 ( java.lang.String description , java.lang.String nameValues , java.lang.String[][] properties , FileSpecType fileNameType , java.lang.String filename , boolean isText , java.lang.String MIMEType ) throws ( GenericError ); Creates a new file entry within the result package.
IResultPackageHTMLEntry | AddHTMLEntry_2 ( java.lang.String description , java.lang.String nameValues , java.lang.String[][] properties , FileSpecType bodyNameType , java.lang.String bodyName , java.lang.String bodyURL , FileSpecType frameNameType , java.lang.String frameName , java.lang.String frameURL , FileSpecType contentsNameType , java.lang.String contentsName , java.lang.String contentsURL , FileSpecType pageNameType , java.lang.String pageName , java.lang.String pageURL , java.lang.String encoding ) throws ( GenericError ); Creates a new ODS HTML set entry within the result package.

Java Class IResultPackage_1_1Helper

public class IResultPackage_1_1Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IResultPackage_1_1 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackage_1_1Helper

Java Class IResultPackage_1_1Holder

public class IResultPackage_1_1Holder

Description
Implementing class for methods (_read, _write, _type) used to process the IResultPackage_1_1 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackage_1_1Holder

CORBA Method AddEntry_2

Adds a new entry which is a copy of another entry.

Description

Usage

Java Method AddEntry_2

`Object` AddEntry_2 (

        Object entryHandle ,
        java.lang.String[][] properties
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
entryHandle | in | Object |
properties | in | java.lang.String[][] |

Example

CORBA Method AddFileEntry_2

Creates a new file entry within the result package.

Description

Usage

Java Method AddFileEntry_2

`public IResultPackageFileEntry` AddFileEntry_2 (

        java.lang.String description ,
        java.lang.String nameValues ,
        java.lang.String[][] properties ,
        FileSpecType fileNameType ,
        java.lang.String filename ,
        boolean isText ,
        java.lang.String MIMEType
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
description | in | java.lang.String |
nameValues | in | java.lang.String |
properties | in | java.lang.String[][] |
fileNameType | in | FileSpecType |
filename | in | java.lang.String |
isText | in | boolean |
MIMEType | in | java.lang.String |

Example

CORBA Method AddHTMLEntry_2

Creates a new ODS HTML set entry within the result package.

Description

Usage

Java Method AddHTMLEntry_2

`public IResultPackageHTMLEntry` AddHTMLEntry_2 (

        java.lang.String description ,
        java.lang.String nameValues ,
        java.lang.String[][] properties ,
        FileSpecType bodyNameType ,
        java.lang.String bodyName ,
        java.lang.String bodyURL ,
        FileSpecType frameNameType ,
        java.lang.String frameName ,
        java.lang.String frameURL ,
        FileSpecType contentsNameType ,
        java.lang.String contentsName ,
        java.lang.String contentsURL ,
        FileSpecType pageNameType ,
        java.lang.String pageName ,
        java.lang.String pageURL ,
        java.lang.String encoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
description | in | java.lang.String |
nameValues | in | java.lang.String |
properties | in | java.lang.String[][] | Options which tell the transport engine how to publish the HTML entry. See the Publish Package Interface CALL Routines in the Publishing Framework section of the SAS Integration Technologies: Developer's Guide for a description of the properties supported. The ENCODING, COMPANION_FILE, and COMPANION_URL properties are not supported. The encoding parameter should be used instead of the ENCODING property. The AddCompanions operation of the ResultPackageHTMLEntry should be used instead of the COMPANION_FILE and COMPANION_URL properties.
bodyNameType | in | FileSpecType |
bodyName | in | java.lang.String |
bodyURL | in | java.lang.String |
frameNameType | in | FileSpecType |
frameName | in | java.lang.String |
frameURL | in | java.lang.String |
contentsNameType | in | FileSpecType |
contentsName | in | java.lang.String |
contentsURL | in | java.lang.String |
pageNameType | in | FileSpecType |
pageName | in | java.lang.String |
pageURL | in | java.lang.String |
encoding | in | java.lang.String |

Example

IResultPackage_1_2 Description

`public interface IResultPackage_1_2
Extends IResultPackage_1_1`

Method Summary

Java Class IResultPackage_1_2Helper

public class IResultPackage_1_2Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IResultPackage_1_2 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackage_1_2Helper

Java Class IResultPackage_1_2Holder

public class IResultPackage_1_2Holder

Description
Implementing class for methods (_read, _write, _type) used to process the IResultPackage_1_2 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackage_1_2Holder

CORBA Attribute PackageExists (readonly)

Description

Usage

Java Method PackageExists

    public boolean PackageExists ();